--- HandBrake-1.3.0/gtk/src/ghbcompat.h.orig	2019-11-09 21:44:32.000000000 +0100
+++ HandBrake-1.3.0/gtk/src/ghbcompat.h	2019-12-30 01:08:59.751194429 +0100
@@ -226,6 +226,12 @@
 {
     gdk_surface_set_geometry_hints(surface, geometry, geom_mask);
 }
+#elif GTK_CHECK_VERSION(3, 90, 0)
+static inline GdkMonitor *
+ghb_display_get_monitor_at_surface(GdkDisplay * display, GhbSurface * surface)
+{
+    return gdk_display_get_monitor_at_window(display, surface);
+}
 #else
 typedef GdkWindow       GhbSurface;
 typedef GdkWindowHints  GhbSurfaceHints;
@@ -235,12 +241,6 @@
     return gtk_widget_get_window(widget);
 }
 
-static inline GdkMonitor *
-ghb_display_get_monitor_at_surface(GdkDisplay * display, GhbSurface * surface)
-{
-    return gdk_display_get_monitor_at_window(display, surface);
-}
-
 static inline void
 ghb_surface_set_geometry_hints(GhbSurface * surface,
                                const GdkGeometry * geometry,
